Bug 427648 - setroubleshooter denying my fetchmail su in rc.local
setroubleshooter denying my fetchmail su in rc.local
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-06 01:42 EST by Gene Heskett
Modified: 2008-03-05 17:17 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-05 17:17:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Heskett 2008-01-06 01:42:25 EST
Description of problem:
SELinux denied access requested by /bin/su. It is not expected that this access
is required by /bin/su and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Version-Release number of selected component (if applicable):
selinux-policy-3.0.8-72.fc8

How reproducible:
I have been for a couple of years, starting fetchmail with this line in my
rc.local script:

su gene -c "fetchmail -d 90 --fetchmailrc /home/gene/.fetchmailrc"

Steps to Reproduce:
1. Setup all the fetchmail paths for access by the user 'gene'
2. Add the above line to the rc.local script
3. Install F8 after something in FC6 caused the partition table of my boot drive
to be filled with 0x00's after an x crash/lockup and the following hardware
reset button push to recover.
  
Actual results:  See above description.

Please note that I can reset the inittab to 5, and login as gene, su -, and then
this command line pasted directly from the rc.local file, works as expected, but
it no longer works during the late bootup.



Expected results:


Additional info:
Comment 1 Gene Heskett 2008-01-06 01:46:09 EST
The previous setroubleshooter line also reports this summary:

SELinux is preventing /bin/su (fetchmail_t) "sigchld" to (initrc_su_t).

Which was my clue that it was a fetchmail startup problem.
Comment 2 Daniel Walsh 2008-01-08 13:54:13 EST
dit2allow -M mypol -i /var/log/audit/audit.log 
# semodule -i mypol.pp

Fixed in selinux-policy-3.0.8-74.fc8
Comment 3 Daniel Walsh 2008-03-05 17:17:22 EST
Bugs have been in modified for over one month.  Closing as fixed in current
release please reopen if the problem still persists.

Note You need to log in before you can comment on or make changes to this bug.